#
# spec file for package libmusicbrainz3
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libmusicbrainz3
%define tarball_name libmusicbrainz
BuildRequires:  cmake gcc-c++ libcppunit-devel libdiscid-devel neon-devel pkgconfig
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Version:        3.0.3
Release:        22.16
Url:            http://www.musicbrainz.org/
Source0:        ftp://ftp.musicbrainz.org/pub/musicbrainz/%{tarball_name}-%{version}.tar.gz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Library That Provides Access to the MusicBrainz Server
Patch0:         libmusicbrainz-3.0.3-pkgconfig-bloat.patch
Patch1:         libmusicbrainz-3.0.2-gcc44.patch

%description
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable audio CD, MP3 and Vorbis players to
download metadata about the music they are playing.



Authors:
--------
        Adam Wozniak <adam@mudlist.eorbit.net>
        Ben Wong <cdindex@wongs.net>
        Bert Vermeulen <bert@biot.com>
        Johnny Tevessen <j.tevessen@gmx.net>
        Jukka Poikolainen <jukka.poikolainen@poikosoft.com>
        Marc E E van Woerkom <van.woerkom@netcologne.de>
        Mark A Mankins <raider@dnaco.net>
        Rick Bradey <roundeye@bellsouth.net>
        Robert Kaye <rob@emusic.com>
        Stephen van Egmond <svanegmond@home.com>
        Winston Chang <wchang3@students.wisc.edu>
        David W. Gray <david@thegray.com>

%package -n     libmusicbrainz3-6
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Summary:        Library That Provides Access to the MusicBrainz Server
# provide for debuginfo package (always requiring main package name)
Provides:       libmusicbrainz3 = %{version}

%description -n libmusicbrainz3-6
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable audio CD, MP3 and Vorbis players to
download metadata about the music they are playing.

%package devel
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       libmusicbrainz3 = %{version}
Requires:       libstdc++-devel
Summary:        Library That Provides Access to the MusicBrainz Server

%description devel
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable audio CD, MP3 and Vorbis players to
download metadata about the music they are playing.

%prep
%setup -q -n %{tarball_name}-%{version}
%patch0
%patch1

%build
export CFLAGS="%{optflags} -DGCC_HASCLASSVISIBILITY -fvisibility=hidden $(getconf LFS_CFLAGS)"
export CXXFLAGS="%{optflags} -DGCC_HASCLASSVISIBILITY $(getconf LFS_CFLAGS) -fvisibility=hidden -fvisibility-inlines-hidden"
cmake . -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DBUILD_SHARED_LIBS:BOOL=ON -DBUILD_STATIC_LIBS:BOOL=OFF \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64
%endif
#	-DCMAKE_SKIP_RPATH=1
%{__make} %{?jobs:-j%jobs} VERBOSE=1

%check
export MALLOC_CHECK_=2 MALLOC_PERTURB_=$((${RANDOM:-256} % 256))
%{__make} %{?jobs:-j%jobs} check
unset MALLOC_CHECK_ MALLOC_PERTURB_

%install
%makeinstall
rm examples/getartist_c

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -n libmusicbrainz3-6 -p /sbin/ldconfig

%postun -n libmusicbrainz3-6 -p /sbin/ldconfig

%files -n libmusicbrainz3-6
%defattr(-, root, root)
%{_libdir}/libmusicbrainz3.so.6*

%files devel
%defattr(-, root, root)
%doc examples/Makefile* examples/*cpp examples/*c
%dir %{_includedir}/musicbrainz3
%{_includedir}/musicbrainz3/*.h
%{_libdir}/libmusicbrainz3.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Jan 27 2012 crrodriguez@opensuse.org
- As request in review, do not use _service in factory
* Tue Jan 24 2012 crrodriguez@opensuse.org
- stop requiring %%{version}-%%release
- It turns out that using gcc visibility is supported but one
  has to define GCC_HASCLASSVISIBILITY and pass the appropiate
  compiler flags.
* Sun May 22 2011 davejplater@gmail.com
- Added 32 bit libs to build.
* Sat Jan  1 2011 cristian.rodriguez@opensuse.org
- Update to version 3.0.3
- Support for reading and submitting ISRCs
- Support for reading ratings for all entity type
- Full release group and label support
- C wrappers for extractFragment and extractUuid
- Support for filtering by any Lucene query
- use _FILE_OFFSET_BITS=64 in 32 bit so LFS is supported.
* Wed Feb 25 2009 crrodriguez@suse.de
- fix build with GCC44
* Sat Sep 13 2008 crrodriguez@suse.de
- update to version 3.0.2
  * no important code changes, just version sync with upstream.
* Sat Aug 16 2008 crrodriguez@suse.de
- update to version 3.0.1+20080816
  * Added mb_track_get_artist to the C API
  * Fix incorrect string comparision in the XML parser code.
    (obsoletes libmusicbrainz-strcmp.patch)
  * Fix compilation on GCC 4.3
  (obsoletes libmusicbrainz-3.0.1-gcc43.patch)
- Run the test suite to ensure we have a working library
* Wed Dec  5 2007 ro@suse.de
- provide main package name in library package for debuginfo
* Fri Oct 12 2007 crrodriguez@suse.de
- fix build with gcc 4.3
* Thu Oct 11 2007 ro@suse.de
- fix build by using strcmp instead of literal compare
* Sat Aug 18 2007 crrodriguez@suse.de
- first version of the new libmusicbrainz3. note that this library has
  a different API that is not compatible with the old libmusicbrainz.
  This package is intented to appear in CODE 11
